%define	name	nautilus-clamscan
%define	version	0.3
%define	release	1



Summary:        Nautilus-clamscan - Scans viruses from a right-click. 
Summary(de):    Nautilus-clamscan - Scannt nach Viren mit einem rechten Mausklick.
Name:		%{name}
Version:	%{version}
Release:	beta_trunk_rev32_%{release}%{?dist}
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://sourceforge.net/projects/nautilus-clam/
Source0:        %{name}-0.3.tar.bz2
Source1:	nautilus-clamscan.png
Source2:	nautilus_clamscan-0.3-py2.5.egg-info	
Patch1:		nautilus-clamscan.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext
Requires:  	nautilus-python	>= 0.5.1
Requires:  	pyclamav
Requires:  	pygtk2
Requires:  	pango


%description
Nautilus-clamscan adds the ability to Nautilus to scan files for viruses from a right-click.

%description -l de
Nautilus-clamscan fügt Nautilus die Fähigkeit hinzu, Dateien auf Viren mit einem rechten Mausklick zu scannen.

%prep
%setup -q -n nautilus-clamscan-0.3
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/nautilus-clamscan/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/python/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python2.6/site-packages/nautilusclamscan/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/

install -D -m0755 %{name}.py $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/python/
install -D -m0644 nautilusclamscan/__init__.py $RPM_BUILD_ROOT%{_libdir}/python2.6/site-packages/nautilusclamscan/__init__.py
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/python2.6/site-packages/nautilus_clamscan-0.3-py2.6.egg-info
install -D -m0644 AUTHORS $RPM_BUILD_ROOT%{_datadir}/doc/nautilus-clamscan/AUTHORS
install -D -m0644 CHANGELOG $RPM_BUILD_ROOT%{_datadir}/doc/nautilus-clamscan/CHANGELOG
install -D -m0644 LICENSE $RPM_BUILD_ROOT%{_datadir}/doc/nautilus-clamscan/LICENSE

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/nautilus-clamscan-0.3/po/de.po
mkdir -p %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/nautilus-clamscan-0.3/po/fr.po

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/doc/nautilus-clamscan/AUTHORS
%{_datadir}/doc/nautilus-clamscan/CHANGELOG
%{_datadir}/doc/nautilus-clamscan/LICENSE
%{_datadir}/pixmaps/*
%{_libdir}/nautilus/extensions-2.0/python/%{name}.py
%{_libdir}/python2.6/site-packages/nautilusclamscan/__init__.py
%{_libdir}/python2.6/site-packages/nautilus_clamscan-0.3-py2.6.egg-info
%{_datadir}/locale/*
%{_libdir}/nautilus/extensions-2.0/python/nautilus-clamscan.pyc
%{_libdir}/nautilus/extensions-2.0/python/nautilus-clamscan.pyo
%{_libdir}/python2.6/site-packages/nautilusclamscan/__init__.pyc
%{_libdir}/python2.6/site-packages/nautilusclamscan/__init__.pyo


%changelog
* Tue Jan 22 2013 Nux <rpm@li.nux.ro> - 0.3
- rebuild for Stella/Centos 6

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 0.3-trunk_rev32-3pclos2010
- rebuild

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.3-trunk_rev32-2pclos2010
- Update

* Fri Oct 23 2009 maik3531 <maik3531@yahoo.de> 0.3-trunk_rev32-1pclos2010
- update to trunk_rev32 http://bazaar.launchpad.net/~northern-lights/nautilus-clamscan/trunk/files

* Wed May 20 2009 pcserver <pcserver@hushmail.com> 0.2.2-4pclos2009
- rebuild against new nautilus

* Wed Apr 15 2009 slick50 <lxgator@gmail.com> 0.2.2-3pclos2007
- fix proper description 

* Mon Dec 29 2008 don_crissti <don_crissti@gmx.com> 0.2.2-2pclos2007
+ added patch 1 and source 1 so that we have an icon for the context menu

* Mon Dec 29 2008 don_crissti <don_crissti@gmx.com> 0.2.2-1pclos2007
- build for PCLinuxOS

